<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.huimv.management.dao.YearPigBaseDao">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.huimv.management.entity.YearPigBaseEntity" id="yearPigBaseMap">
        <result property="id" column="id"/>
        <result property="eartag" column="eartag"/>
        <result property="dayAge" column="day_age"/>
        <result property="unitId" column="unit_id"/>
        <result property="weight" column="weight"/>
        <result property="fosterStatus" column="foster_status"/>
        <result property="healthStatus" column="health_status"/>
        <result property="whereDidYouGo" column="where_did_you_go"/>
        <result property="breed" column="breed"/>
        <result property="sex" column="sex"/>
        <result property="birthday" column="birthday"/>
        <result property="pigstyId" column="pigsty_id"/>
        <result property="periodId" column="period_id"/>
        <result property="deleted" column="deleted"/>
        <result property="gmtCreate" column="gmt_create"/>
        <result property="gmtModified" column="gmt_modified"/>
    </resultMap>


</mapper>